import {ElementRef, TemplateRef} from "@angular/core";

export class Header {
  name: string;
  dashboard: string;
  logoUrl: string;

  constructor(name: string, dashboard: string, logoUrl: string = null) {
    this.name = name;
    this.dashboard = dashboard;
    this.logoUrl = logoUrl
  }
}

export class Item {
  name: string;
  route: string;
  items: Item[];
  icon: string;
  open: boolean;
  action: TemplateRef<ElementRef>;

  constructor(name: string, route: string, items: Item[], icon, open: boolean, action: TemplateRef<ElementRef> = null) {
    this.name = name;
    this.route = route;
    this.items = items;
    this.icon = icon;
    this.open = open;
    this.action = action;
  }
}

export class Sidebar {
  items: Item[];
  header: Header;

  constructor(items: Item[], header: Header) {
    this.items = items;
    this.header = header;
  }
}
